Orxonox: orxonox::Stats Class Reference

# orxonox::Stats Class Reference

`#include <src/orxonox/overlays/stats/Stats.h>`

Inheritance diagram for orxonox::Stats:

List of all members.

## Public Member Functions

void | setConfigValues ()
| Sets the config values, describing the size of the Stats panel.
| Stats (BaseObject *creator)
| Constructor: Creates and initializes the Stats panel.
virtual void | tick (float dt)
| Gets called every frame.
virtual void | XMLPort (Element &xmlElement, XMLPort::Mode mode)
| Initializes the Stats panel.
virtual | ~Stats ()

## Private Attributes

float | noiseSize_
Ogre::BorderPanelOverlayElement * | statsOverlayBorder_
Ogre::PanelOverlayElement * | statsOverlayNoise_

## Constructor & Destructor Documentation

orxonox::Stats::Stats | ( | BaseObject * | creator | ) |

Constructor: Creates and initializes the Stats panel.

References orxonox::OrxonoxOverlay::background_, orxonox::getUniqueNumberString(), RegisterObject, setConfigValues(), and statsOverlayBorder_.

orxonox::Stats::~Stats | ( |  | ) | `[virtual]`

References orxonox::BaseObject::isInitialized(), and statsOverlayBorder_.

## Member Function Documentation

void orxonox::Stats::setConfigValues | ( |  | ) |

Sets the config values, describing the size of the Stats panel.

Reimplemented from orxonox::OrxonoxClass.

References noiseSize_, and SetConfigValue.

Referenced by Stats().

void orxonox::Stats::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implements orxonox::Tickable.

void orxonox::Stats::XMLPort | ( | Element & | xmlElement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

Initializes the Stats panel.

Reimplemented from orxonox::OrxonoxOverlay.

References orxonox::OrxonoxOverlay::XMLPort().

## Member Data Documentation

float orxonox::Stats::noiseSize_`[private]`

Referenced by setConfigValues().

Ogre::BorderPanelOverlayElement* orxonox::Stats::statsOverlayBorder_`[private]`

Referenced by Stats(), and ~Stats().

Ogre::PanelOverlayElement* orxonox::Stats::statsOverlayNoise_`[private]`

The documentation for this class was generated from the following files:

- src/orxonox/overlays/stats/Stats.h
- src/orxonox/overlays/stats/Stats.cc